<?xml version="1.0" encoding="UTF-8"?>
<Flow xmlns="http://soap.sforce.com/2006/04/metadata">
    <apiVersion>49.0</apiVersion>
    <decisions>
        <name>checkfornull</name>
        <label>checkfornull</label>
        <locationX>354</locationX>
        <locationY>65</locationY>
        <defaultConnectorLabel>Default Outcome</defaultConnectorLabel>
        <rules>
            <name>LI_Found</name>
            <conditionLogic>and</conditionLogic>
            <conditions>
                <leftValueReference>relLineItems</leftValueReference>
                <operator>IsNull</operator>
                <rightValue>
                    <booleanValue>false</booleanValue>
                </rightValue>
            </conditions>
            <connector>
                <targetReference>deleteLineItems</targetReference>
            </connector>
            <label>LI Found</label>
        </rules>
    </decisions>
    <interviewLabel>DeleteTenantProdLI {!$Flow.CurrentDateTime}</interviewLabel>
    <label>DeleteTenantProdLI</label>
    <processMetadataValues>
        <name>BuilderType</name>
        <value>
            <stringValue>LightningFlowBuilder</stringValue>
        </value>
    </processMetadataValues>
    <processMetadataValues>
        <name>OriginBuilderType</name>
        <value>
            <stringValue>LightningFlowBuilder</stringValue>
        </value>
    </processMetadataValues>
    <processType>AutoLaunchedFlow</processType>
    <recordDeletes>
        <name>deleteLineItems</name>
        <label>deleteLineItems</label>
        <locationX>469</locationX>
        <locationY>230</locationY>
        <inputReference>relLineItems</inputReference>
    </recordDeletes>
    <recordLookups>
        <name>lookupLineItems</name>
        <label>lookupLineItems</label>
        <locationX>219</locationX>
        <locationY>48</locationY>
        <assignNullValuesIfNoRecordsFound>true</assignNullValuesIfNoRecordsFound>
        <connector>
            <targetReference>checkfornull</targetReference>
        </connector>
        <filterLogic>and</filterLogic>
        <filters>
            <field>Family__c</field>
            <operator>EqualTo</operator>
            <value>
                <stringValue>Core</stringValue>
            </value>
        </filters>
        <filters>
            <field>Id</field>
            <operator>NotEqualTo</operator>
            <value>
                <elementReference>newLIId</elementReference>
            </value>
        </filters>
        <filters>
            <field>Tenant_Account__c</field>
            <operator>EqualTo</operator>
            <value>
                <elementReference>taRecordId</elementReference>
            </value>
        </filters>
        <object>Tenant_Product_Line_Item__c</object>
        <outputReference>relLineItems</outputReference>
        <queriedFields>Id</queriedFields>
    </recordLookups>
    <startElementReference>lookupLineItems</startElementReference>
    <status>Active</status>
    <variables>
        <name>newLIId</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
    </variables>
    <variables>
        <name>relLineItems</name>
        <dataType>SObject</dataType>
        <isCollection>false</isCollection>
        <isInput>false</isInput>
        <isOutput>false</isOutput>
        <objectType>Tenant_Product_Line_Item__c</objectType>
    </variables>
    <variables>
        <name>taRecordId</name>
        <dataType>String</dataType>
        <isCollection>false</isCollection>
        <isInput>true</isInput>
        <isOutput>true</isOutput>
    </variables>
</Flow>
